Session

com.j0h1.contour.pojo

## Class Session

- java.lang.Object
- - com.j0h1.contour.pojo.Session

- All Implemented Interfaces:
    java.io.Serializable

      public class Session
      extends java.lang.Object
      implements java.io.Serializable

  Serializable representation of a Session object, that can be mapped to a XML document. It contains a sessions meta data as well as a Track/Player object associated with the session.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `date`
    `private Player` | `player`
    `private double` | `score`
    `private static long` | `serialVersionUID`
    `private int` | `sessionId`
    `private Track` | `track`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Session()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDate()`
    `Player` | `getPlayer()`
    `double` | `getScore()`
    `int` | `getSessionId()`
    `void` | `setDate(long date)`
    `void` | `setPlayer(Player player)`
    `void` | `setScore(double score)`
    `void` | `setSessionId(int sessionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### sessionId

          private int sessionId

    - #### track

          private Track track

    - #### player

          private Player player

    - #### score

          private double score

    - #### date

          private long date

  - ### Constructor Detail

    - #### Session

          public Session()

  - ### Method Detail

    - #### getSessionId

          public int getSessionId()

    - #### setSessionId

          public void setSessionId(int sessionId)

    - #### getScore

          public double getScore()

    - #### setScore

          public void setScore(double score)

    - #### getDate

          public long getDate()

    - #### setDate

          public void setDate(long date)

    - #### getPlayer

          public Player getPlayer()

    - #### setPlayer

          public void setPlayer(Player player)